欢迎访问来到第一主机,开始互联网之旅!
正文

IIS7.5/8.5 独立站点php多版本切换2017-05-05

        PHP自从PHP5.2版本以后,PHP5.3以后实行了巨大的改版,此后的版本变更很快,很快PHP退出了PHP5.3.5.4 5.5.6.等版本,但是市场上的空间很多都不支持这些高版本,那么我们如何自己实现PHP版本切换呢。下面咱们动天数据来告诉大家如何实现PHP版本切换,以及PHP版本切换需要的要求:

       首先WIN2003是不支持PHP版本切换的,所以需要支持PHP切换版本,必须使用2008服务器或者2012服务器才可以完美支持PHP切换。
PHP切换需要的条件:

      1:需要安装IIS里面的所有组件,2008或者2012里面的组件特别多,大概有48个必须全部安装上。
      2:必须下载:VC9运行库,然后安装,安装必须在IIS全部安装好以后在安装。
      3:然后安装多个PHP安装版本,具体可以根据自己的需要安装,需要几个PHP版本就安装几个PHP版本。
      4:安装PHPMANAGERFORIIS-PHP版本切换.MSI这个软件。

       这样,需要切换IIS里面网站的版本或者 我们只需要在全局中找到PHP MANAGER里面的Change PHP version选择PHP版本就可以进行切换,当然单个网站也可以切换,具体大家可以自己尝试。

      需要注意,使用PHP版本切换功能,如果需要使用PHPMYADMIN的话,我们建议大家下载PHPMYADMIN4.0版本,可以完美支持各大版本,无需再安装多个版本的PHPMYADMIN。
      如果大家不知道PHP切换多版本,需要通用使用什么数据库,我们建议大家使用MYSQL5.5版本。